validData-methods {xps} | R Documentation

## Extract Subset of Data

### Description

Extracts a subset of valid data from data.frame `data`.

Usage

`validData(object, which = "")`

### Arguments

`object` | object of class `DataTreeSet`.
`which` | type of probes to be returned.

### Details

For expression arrays, `validData` returns all the perfect match or mismatch probes on the arrays the object represents as data.frame, i.e. `which` can have the following values:

| `pm`: | perfect match probes.
| `mm`: | mismatch probes.
| `both`: | both perfect match and mismatch probes.

For exon arrays, `validData` returns the probes of the different exon levels as data.frame, i.e. `which` can have one of the following values:

| `core`: | probesets supported by RefSeq and full-length GenBank transcripts.
| `metacore`: | core meta-probesets.
| `extended`: | probesets with other cDNA support.
| `metaextended`: | extended meta-probesets.
| `full`: | probesets supported by gene predictions only.
| `metafull`: | full meta-probesets.
| `affx`: | standard AFFX controls.
| `all`: | combination of above.
| `genomic`: | genomic background probes.
| `antigenomic`: | antigenomic background probes.

### Value

A `data.frame`.

### Author(s)

Christian Stratowa

### See Also

`pm`, `mm`

[Package xps version 1.2.10 Index]